Groovy 1.7.10

## org.codehaus.groovy.control.io
[Java] Class AbstractReaderSource

    java.lang.Object
      org.codehaus.groovy.control.io.AbstractReaderSource

All Implemented Interfaces:
  ReaderSource

    public abstract class AbstractReaderSource
    extends Object

For ReaderSources that can choose a parent class, a base that provides common functionality.

Authors:
  Chris Poirier

Version:
  \$Id: AbstractReaderSource.java 16798 2009-06-28 02:13:41Z hamletdrc \$

Field Summary
`protected CompilerConfiguration` | `configuration`

Constructor Summary
`AbstractReaderSource(CompilerConfiguration configuration)`

Method Summary
`boolean` | `canReopenSource()` Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.
`void` | `cleanup()` Cleans up any cached resources used by getLine().
`String` | `getLine(int lineNumber, Janitor janitor)` Returns a line from the source, or null, if unavailable.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### configuration

    protected CompilerConfiguration configuration

Constructor Detail

### AbstractReaderSource

    public AbstractReaderSource(CompilerConfiguration configuration)

Method Detail

### canReopenSource

    public boolean canReopenSource()

  Returns true if the source can be restarted (ie. if getReader() will return non-null on subsequent calls.

### cleanup

    public void cleanup()

  Cleans up any cached resources used by getLine().

### getLine

    public String getLine(int lineNumber, Janitor janitor)

  Returns a line from the source, or null, if unavailable. If you supply a Janitor, resources will be cached.

Copyright © 2003-2010 The Codehaus. All rights reserved.